create table tb_user
(
    USER_ID        varchar(11)            not null comment '사용자 ID'
        primary key,
    USER_ACNT      varchar(20)            not null comment '사용자 계정',
    USER_NM        varchar(50)            not null comment '사용자 이름',
    PASSWD         varchar(200)           not null comment '비밀번호',
    PASSWD_HINT    varchar(100)           null comment '비밀번호 힌트',
    PASSWD_NSR     varchar(100)           null comment '비밀번호 힌트 답',
    EMP_NO         varchar(20)            null comment '사원 번호',
    GENDER         varchar(1)             null comment '성별',
    ZIP            varchar(6)             null comment '우편번호',
    ADDR           varchar(150)           null comment '주소',
    DADDR          varchar(150)           null comment '상세주소',
    AREA_NO        varchar(10)            null comment '지역 번호',
    EML_ADDR       varchar(50)            null comment '이메일 주소',
    ORG_CD         varchar(20)            null comment '조직 CD',
    USER_GROUP_ID  varchar(20)            null comment '그룹 ID',
    NSTT_CD        varchar(8)             not null comment '소속기관 코드',
    POS_NM         varchar(60)            null comment '직위 이름',
    CRTFC_DN       varchar(20)            null comment '인증 DN값',
    USER_STATUS_CD varchar(20)            not null comment '사용자 상태',
    FXNO           varchar(20)            null comment '팩스번호',
    TELNO          varchar(20)            null comment '전화번호',
    MBL_TELNO      varchar(20)            null comment '휴대 전화번호',
    BRDT           varchar(20)            null comment '생년월일',
    DEPT_CD        varchar(7)             null comment '부서 코드',
    USE_YN         varchar(1)             not null comment '사용 여부',
    RSDNT_NO       varchar(200)           null comment '주민등록 번호',
    PASSWD_INIT_YN varchar(1) default 'N' null comment '비밀번호 초기화 여부',
    LOCK_YN        varchar(1)             null comment '잠김 여부',
    LOCK_CNT       int                    not null comment '잠김 횟수',
    LOCK_DTTM      datetime               null comment '잠김 일시',
    REG_DTTM       datetime               null comment '등록 일시',
    RGTR           varchar(20)            null comment '등록자',
    MDFCN_DTTM     datetime               null comment '수정 일시',
    MDFR           varchar(20)            null comment '수정자',
    constraint tb_user_unique
        unique (USER_ACNT),
    constraint fk_user_group
        foreign key (USER_GROUP_ID) references tb_group (GROUP_ID)
)
    comment '사용자';

